path: /build/build/upx-bin-app-arch-5.0.2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc" emerge app-arch/upx-bin -pv -t && \
    USE="-doc" emerge -j ${JOBS} --nodeps app-arch/upx-bin
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/upx-bin && luet-portage --dir /pkgdir/upx-bin
    app-arch/upx-bin && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:c6daa76ebb36216405eee4b4fa60359625dd1175c88e167cd720612815b69e8d
  package:
    name: upx-bin
    version: 5.0.2
    category: app-arch
    use_flags:
    - -doc
    requires:
    - name: gnu-efi
      version: '>=0'
      category: sys-boot
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Ultimate Packer for eXecutables, binary version with proprietary
      NRV compression
    uri:
    - http://upx.sourceforge.net/
    license: GPL-2
    buildtimestamp: 2025-12-24 00:13:06.7673867 +0000 UTC m=+414.732065406
    labels:
      IUSE: doc
      RDEPEND: '!app-arch/upx-ucl'
      emerge.packages: app-arch/upx-bin
      kit: dev-kit
      original.package.name: app-arch/upx-bin
      original.package.slot: "0"
      original.package.version: 5.0.2
    treedir: /build/packages
  package_dir: /pkgdir/upx-bin
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: a958e24ab38077754ede788fc510708676331decaef17217711644f22fba6de0
compressiontype: zstd
files:
- usr/bin/upx
- usr/share/doc/upx-bin-5.0.2/NEWS.bz2
- usr/share/doc/upx-bin-5.0.2/README.bz2
- usr/share/man/man1/upx.1.bz2
- var/db/pkg/app-arch/upx-bin-5.0.2/BUILD_TIME
- var/db/pkg/app-arch/upx-bin-5.0.2/CATEGORY
- var/db/pkg/app-arch/upx-bin-5.0.2/CBUILD
- var/db/pkg/app-arch/upx-bin-5.0.2/CFLAGS
- var/db/pkg/app-arch/upx-bin-5.0.2/CHOST
- var/db/pkg/app-arch/upx-bin-5.0.2/CONTENTS
- var/db/pkg/app-arch/upx-bin-5.0.2/COUNTER
- var/db/pkg/app-arch/upx-bin-5.0.2/CTARGET
- var/db/pkg/app-arch/upx-bin-5.0.2/CXX
- var/db/pkg/app-arch/upx-bin-5.0.2/CXXFLAGS
- var/db/pkg/app-arch/upx-bin-5.0.2/DEFINED_PHASES
- var/db/pkg/app-arch/upx-bin-5.0.2/DESCRIPTION
- var/db/pkg/app-arch/upx-bin-5.0.2/EAPI
- var/db/pkg/app-arch/upx-bin-5.0.2/FEATURES
- var/db/pkg/app-arch/upx-bin-5.0.2/HOMEPAGE
- var/db/pkg/app-arch/upx-bin-5.0.2/INHERITED
- var/db/pkg/app-arch/upx-bin-5.0.2/IUSE
- var/db/pkg/app-arch/upx-bin-5.0.2/IUSE_EFFECTIVE
- var/db/pkg/app-arch/upx-bin-5.0.2/KEYWORDS
- var/db/pkg/app-arch/upx-bin-5.0.2/LDFLAGS
- var/db/pkg/app-arch/upx-bin-5.0.2/LICENSE
- var/db/pkg/app-arch/upx-bin-5.0.2/NEEDED
- var/db/pkg/app-arch/upx-bin-5.0.2/NEEDED.ELF.2
- var/db/pkg/app-arch/upx-bin-5.0.2/PF
- var/db/pkg/app-arch/upx-bin-5.0.2/QA_PREBUILT
- var/db/pkg/app-arch/upx-bin-5.0.2/SIZE
- var/db/pkg/app-arch/upx-bin-5.0.2/SLOT
- var/db/pkg/app-arch/upx-bin-5.0.2/USE
- var/db/pkg/app-arch/upx-bin-5.0.2/environment.bz2
- var/db/pkg/app-arch/upx-bin-5.0.2/repository
- var/db/pkg/app-arch/upx-bin-5.0.2/upx-bin-5.0.2.ebuild
package_cacheimage: ""
runtime:
  name: upx-bin
  version: 5.0.2
  category: app-arch
  use_flags:
  - -doc
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Ultimate Packer for eXecutables, binary version with proprietary NRV
    compression
  uri:
  - http://upx.sourceforge.net/
  license: GPL-2
  labels:
    IUSE: doc
    RDEPEND: '!app-arch/upx-ucl'
    emerge.packages: app-arch/upx-bin
    kit: dev-kit
    original.package.name: app-arch/upx-bin
    original.package.slot: "0"
    original.package.version: 5.0.2
